Accounting report for stores, json format
Get accounting report for a storeUid and a period. Response is a json structured data of accounting
Required permissions: REPORTING
post/tenants/{tenantUid}/reports/accounting
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
fromDatestring · date · min: 10Required
toDatestring · date · min: 10Required
organizationUidstringRequiredPattern:
^[A-Za-z0-9-_]*storeUidsstring[]Optional
List of storeUids to include in report.
Responses
200
Response for Accounting report.
application/json
printDatestringRequired
tenantNamestringRequired
organizationNamestringRequired
storeNamesstring[]Required
post/tenants/{tenantUid}/reports/accounting
POST /v2/tenants/{tenantUid}/reports/accounting HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93
{
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"organizationUid": "text",
"storeUids": [
"text"
]
}200
Response for Accounting report.
{
"asset": [
{
"account": "text",
"creditAmount": 1,
"date": "text",
"debetAmount": 1,
"text": "text",
"vatCode": "text"
}
],
"credit": [
{
"account": "text",
"creditAmount": 1,
"date": "text",
"debetAmount": 1,
"text": "text",
"vatCode": "text"
}
],
"debet": [
{
"account": "text",
"creditAmount": 1,
"date": "text",
"debetAmount": 1,
"text": "text",
"vatCode": "text"
}
],
"header": {
"fromDate": "text",
"storeUid": "text",
"toDate": "text"
},
"ledger": [
{
"account": "text",
"creditAmount": 1,
"date": "text",
"debetAmount": 1,
"text": "text",
"vatCode": "text"
}
],
"printDate": "text",
"tenantName": "text",
"organizationName": "text",
"storeNames": [
"text"
],
"totals": {
"totalAsset": 1,
"totalCredit": 1,
"totalCreditAndAsset": 1,
"totalDebet": 1,
"totalLedger": 1
}
}Last updated
Was this helpful?

